Blog

Information Regarding Meltdown & Spectre Vulnerabilities

Posted by Jeremy Peacock

Jan 10, 2018

At SMB Suite customer security is always our top priority.  In an effort to keep you well informed:  an industry-wide, hardware-based security vulnerability was recently disclosed.  We are taking active steps to ensure that no SMB Suite Cloud customer is exposed to these vulnerabilities. At the time of this email, SMB Suite has not received any information to indicate that these vulnerabilities have been used to target SMB Suite Cloud customers.  Per Microsoft, the nature of these vulnerabilities will require updates to both hardware and software to mitigate the issues. 

SMB Suite has begun working with Microsoft and our other industry partners, including hardware OEMs and app vendors, to protect customers. To take advantage of all available protections, hardware/firmware and software updates are required. This may include microcode from device OEMs and in some cases updates to antivirus software as well.  With the public disclosure of the security vulnerability, we are accelerating the planned maintenance timing and will begin implementing vendor supplied updates and mitigation recommendations as soon as available.

We want to make sure you are aware of the full scope and nature of these vulnerabilities.  

Note: this issue will affect other systems such as Android, Chrome, iOS, MacOS, so we advise customers to seek out guidance from those vendors. In addition to SMB Suite managed services, you will need to identify your own affected systems and take appropriate measures within your organizations and at home.  Please consult with the vendor of your operating systems & computing devices for updates and instructions, as needed. For Windows customers, guidance has now been published and is available here

Please contact support@smbsuite.com with any concerns and/or questions.

 

Sincerely,

Jeremy Peacock

Chief Technology Officer


 

Topics: cloud, smb, Latest News